SmoothVideo Project Installation Dependecies Qt5

hi, im trying to install SmoothVideo Project (SVP), downloaded from official web, packed with .run.

when i tried install it, it gives me an error code with error code 127, which, after research, i think its missing dependencies of Qt5 Mediainfo, then i tried to install using terminal by this command :

sudo apt install qt5-default mediainfo

but it come out with :
Package qt5-default is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

so, what should i do ? thanks

Just done a search on pkgs.org - no 'mediainfo' but there is a qt5-default developers package in .deb format but is for Ubuntu 20.04, which is what Zorin 16 was a fork of - you could try that?

https://pkgs.org/search/?q=qt5-default

it didnt work with this message :
The following packages have unmet dependencies:
qt5-default: Depends: qtbase5-dev (= 5.12.8+dfsg-0ubuntu2.1) but it is not installable or
qtbase5-gles-dev (>= 5.12.8+dfsg) but it is not installable

anyother way?

If You are using Zorin 17 both Packages are available:


So, you could install it manually with the Terminal and then install qt-default.

Ive tried tyat, but it says:
install: missing destination file operand after 'qt5-default'
Try 'install --help' for more information.

1 Like

The screenshot shown by @Ponce-De-Leon is already elevated to Root.

You must use sudo to elevate a singular command to Root.

sudo apt install qtbase5-dev qtbase5-gles-dev

1 Like

Sorry, maybe it wasn't good described from me. On the Screenshot You see apt list to show You that this Packages are exists in apt. Sorry again for the Missunderstanding.

@Aravisian is right. When You want to install it type sudo apt installand then the Package Names.

i think its the same as before (not available) :

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
qtbase5-dev : Conflicts: qtbase5-gles-dev but 5.15.3+dfsg-1 is to be installed
qtbase5-gles-dev : Depends: libqt5gui5-gles (= 5.15.3+dfsg-1) but it is not installable
Conflicts: qtbase5-dev but 5.15.3+dfsg-2ubuntu0.2 is to be installed
E: Unable to correct problems, you have held broken packages.

is there any qt6 ? if any, how can i try it?

Looks like Qt 6.1 came out in 2021, but Qt is usually dependent upon the presence of Plasma (KDE not Gnome), or LXQt which uses the same libraries as KDE (Plasma).

im really dont understand any of that words :joy: , because i just learn about Linux and migrating from Windows. and now i know why Linux is very very very confusing for Windows user, because everything seems like "hacking", especially if youre working with Terminal :rofl:

so anyway, im still unable to install this SmoothVideo Project (SVP), but i think ill give Wine 9.0 a try, then use Windows App from there

Plasma is a Desktop Environment, Zorin (Core/Pro) uses the Gnome Desktop. Both are heavy users of RAM, but KDE is slightly lighter and has a more familiar panel for Windows users with similar functionality. Zorin Lite/Pro Lite uses a much lighter desktop in terms of memory usage and is based on the xfce Desktop. Is their any reason you need Smooth Video Project? Personally I prefer using native GNU/Linux apps. For screen capture I use Vokoscreen, then for video editing I use KDEnlive, often described as an open source equvalent to Sony's Vegas software.

And slightly off topic:

im using SmoothVideo Project (SVP) for playing videos with doubling frame to 60 up to 120fps (Interpolation). and as far as i search, the only video player that support this features natively is Mirilis Splash Player (SmoothMotion), but its not available for Linux. so i was looking for other solution, which come to SVP, a plugin for videoplayer app.

if anyone able to give me other solution to play a video with motion frame interpolation, please share it with me.. thanks

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.